Index: branches/OaaS/HeuristicLab.Services.Optimization.Controller/PlaceholderControllerService.cs
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Controller/PlaceholderControllerService.cs	(revision 9362)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Controller/PlaceholderControllerService.cs	(revision 9363)
@@ -1,15 +1,13 @@
-﻿using System;
-using System.Collections.Generic;
+﻿using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.ServiceModel;
+using HeuristicLab.Services.Optimization.ControllerService.General;
 using HeuristicLab.Services.Optimization.ControllerService.Interfaces;
 using HeuristicLab.Services.Optimization.ControllerService.Model;
-using HeuristicLab.Services.Optimization.ControllerService.General;
 
 namespace HeuristicLab.Services.Optimization.ControllerService {
   [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall, IgnoreExtensionDataObject = true)]
   public class PlaceholderControllerService : IControllerService {
-    
+
     private IList<Model.OptimizationScenario> scenarios;
 
@@ -50,5 +48,5 @@
       tsp.AlgorithmParameters.Items.Add(new Model.Parameter() { Type = Model.ParameterType.Type, Value = new Model.TypeValue() { Name = "Selector", Value = "ProportionalSelector", Options = new string[] { "ProportionalSelector", "BestSelector" } } });
       tsp.AlgorithmParameters.Items.Add(new Model.Parameter() { Type = Model.ParameterType.Boolean, Value = new Model.BoolValue() { Name = "SetSeedRandomly", Value = true } });//, Value = true });
-      this.scenarios = new List<Model.OptimizationScenario>() { tsp };*/      
+      this.scenarios = new List<Model.OptimizationScenario>() { tsp };*/
       //hiveManager.DispatchScenario(tsp);
       //hiveManager = new MockupScenarioManager();
@@ -59,5 +57,5 @@
 
     public IEnumerable<Model.OptimizationScenario> GetOptimizationScenarios() {
-      return scenarios;  
+      return scenarios;
     }
 
@@ -66,5 +64,5 @@
       var scen = (from e in scenarios
                   where e.Id == name
-                  select e).FirstOrDefault();      
+                  select e).FirstOrDefault();
       return scen;
     }
@@ -99,7 +97,7 @@
       if (scenario == null) {
         return false;
-      }      
+      }
       var added = hiveManager.AddScenario(user, scenario.Id, scenarioXml, scenarioMapper);
-      if (added) 
+      if (added)
         scenarios.Add(scenario);
       return added;
@@ -117,15 +115,15 @@
     public IEnumerable<string> GetOptimizationScenarioNames() {
       return (from e in scenarios
-              select e.Id).AsEnumerable();      
-    }
-
-
-    public string SaveExperiment(User user, Experiment experiment) {      
+              select e.Id).AsEnumerable();
+    }
+
+
+    public string SaveExperiment(User user, Experiment experiment) {
       // make sure all algorithms store their choices aswell
       var scenarioMap = new Dictionary<string, OptimizationScenario>();
       var algos = new Stack<Algorithm>();
       foreach (var algo in experiment.Algorithm) algos.Push(algo);
-      
-      
+
+
 
       while (algos.Count > 0) {
@@ -140,5 +138,5 @@
             scenarioMap[algo.Name] = scenario;
           }
-          
+
           AlgorithmHelper.Update(algo, scenario);
         }
@@ -185,5 +183,5 @@
 
 
-    public IEnumerable<Experiment> GetExperiments(User user, bool namesOnly=false) {
+    public IEnumerable<Experiment> GetExperiments(User user, bool namesOnly = false) {
       return hiveManager.GetExperiments(user, namesOnly);
     }
@@ -195,14 +193,16 @@
 
     public string GetVisualExtension(string algorithmId) {
-      return hiveManager.GetVisualExtension(algorithmId); 
+      return hiveManager.GetVisualExtension(algorithmId);
     }
 
 
     public bool AddVisualExtension(string algorithmId, string script) {
-      return hiveManager.AddVisualExtension(algorithmId, script);
+      //return hiveManager.AddVisualExtension(algorithmId, script);
+      return true;
     }
 
     public bool DeleteVisualExtension(string algorithmId) {
-      return hiveManager.DeleteVisualExtension(algorithmId);
+      //return hiveManager.DeleteVisualExtension(algorithmId);
+      return true;
     }
   }
